# $Header: /home/hiro/projects/dvr2/RCS/ffmpeg.mk,v 1.4 2012/07/13 23:01:22 hiro Exp $
#
#	== Project DVR2 ==
#
#	Makefile fragment for FFMPEG
#
#	Copyright (c) 2011 Hiro Sugawara
#

FFMPEG2-DIR	:= $(CWD)/ffmpeg2
FFMPEG2-URL	:= git://git.videolan.org/ffmpeg.git

FFMPEG2-CLEAN:
	$(MAKE) -C $(FFMPEG2-DIR)/out clean

FFMPEG2-INSTALL: FFMPEG2
	$(MAKE) -C $(FFMPEG2-DIR)/out install

FFMPEG2:
	$(MAKE) -C $(FFMPEG2-DIR)/out -j4

FFMPEG2-CONFIGURE:
	cd $(FFMPEG2-DIR)/out && \
		CFLAGS="$(CFLAGS) -I$(LINUX-ROOT)/usr/include/dirac -I$(LINUX-INSTALL)/usr/local/include -DHAVE_INT32_T"	\
		LDFLAGS="$(LDFLAGS) -L$(LINUX-INSTALL)/usr/local/lib"	\
		PKG_CONFIG_PATH=$(LINUX-ROOT)/usr/lib/pkgconfig	\
		$(FFMPEG2-DIR)/ffmpeg/configure \
			--prefix=$(LINUX-INSTALL)/usr/local

FFMPEG2-DOWNLOAD:
	mkdir -p $(FFMPEG2-DIR)/out
	cd $(FFMPEG2-DIR) && git clone $(FFMPEG-URL)


DIST-FILES	+= $(CWD)/ffmpeg.mk
